locked
Could not load file or assembly ‘System.Data.Sql.ServerCe, Version=3.5.1.0 RRS feed

  • Question

  • Hello

    I was making a database application using Microsoft SQL server compact edition. Now I have completed my software. My software is running without error on my computer but I am getting an error when I am trying to run my software on other computers. Error is

    Could not load file or assembly ‘System.Data.Sql.ServerCe, Version=3.5.1.0, Culture=neutral, PublicKeyToken=89845dcd8080cc91 or one of its dependencies. The system cannot find the file specified.

    My OS windows Seven Ultimate N

    Visual studio 2010

    SQL Server compact edition 3.5 sp2

                    sqlceca35.dll , dll version=3.5.8080.0

                    Similarly all SQL Server compact edition dll versions is 3.5.8080.0

    Error occurring  on OS windows XP having SQL server compact edition 3.5 sp2, .net 4.0 and .net 3.5 installed

    Why my software is demanding version 3.5.1.0 of System.Data.Sql.ServerCe on other computer as I have made it compatible with SQLce 3.5 sp2. Or If my software need this version (3.5.1.0 )of dll to run properly  than why it is running properly in my pc as I have this version (3.5.8080.0) of dll.

    Please help me out

    Thank you so much in advance.


    SoftEng
    Friday, July 2, 2010 7:11 PM

All replies

  • is your Windows 7 machine 64bit or 32 bit? check out your project properties and change the target runtime and see if it works.
    Monday, July 5, 2010 8:43 AM